package ru.dbotthepony.kstarbound.render

import ru.dbotthepony.kstarbound.math.Matrix4f
import ru.dbotthepony.kstarbound.math.Vector3f

class Camera {
	var pos = Vector3f(z = 400f)
	var zoom = 1f

	fun matrix(): Matrix4f {
		return Matrix4f.IDENTITY.scale(zoom, zoom, zoom).translate(pos)
	}

	companion object {
		const val MAX_ZOOM = 4f
		const val MIN_ZOOM = 0.1f
		const val ZOOM_STEP = 0.1f
	}
}
